CO_TPDOCommPar_t Struct Reference
CANopen_301 » PDO

TPDO communication parameter. More...

`#include <CO_PDO.h>`

## Data Fields

uint8_t | maxSubIndex
| Equal to 6.
uint32_t | COB_IDUsedByTPDO
| Communication object identifier for transmitting message. More...
uint8_t | transmissionType
| Transmission type. More...
uint16_t | inhibitTime
| Minimum time between transmissions of the PDO in 100micro seconds. More...
uint8_t | compatibilityEntry
| Not used.
uint16_t | eventTimer
| Time between periodic transmissions of the PDO in milliseconds. More...
uint8_t | SYNCStartValue
| Used with numbered SYNC messages. More...

## Detailed Description

TPDO communication parameter.

The same as record from Object dictionary (index 0x1800+).

## Field Documentation

## COB_IDUsedByTPDO

uint32_t CO_TPDOCommPar_t::COB_IDUsedByTPDO

Communication object identifier for transmitting message.

Meaning of the specific bits:

- Bit 0-10: COB-ID for PDO, to change it bit 31 must be set.
- Bit 11-29: set to 0 for 11 bit COB-ID.
- Bit 30: If true, rtr are NOT allowed for PDO.
- Bit 31: If true, node does NOT use the PDO.

## transmissionType

uint8_t CO_TPDOCommPar_t::transmissionType

Transmission type.

Values:

- 0: Transmiting is synchronous, specification in device profile.
- 1-240: Transmiting is synchronous after every N-th SYNC object.
- 241-251: Not used.
- 252-253: Transmited only on reception of Remote Transmission Request.
- 254: Manufacturer specific.
- 255: Asinchronous, specification in device profile.

## inhibitTime

uint16_t CO_TPDOCommPar_t::inhibitTime

Minimum time between transmissions of the PDO in 100micro seconds.

Zero disables functionality.

## eventTimer

uint16_t CO_TPDOCommPar_t::eventTimer

Time between periodic transmissions of the PDO in milliseconds.

Zero disables functionality.

## SYNCStartValue

uint8_t CO_TPDOCommPar_t::SYNCStartValue

Used with numbered SYNC messages.

Values:

- 0: Counter of the SYNC message shall not be processed.
- 1-240: The SYNC message with the counter value equal to this value shall be regarded as the first received SYNC message.

The documentation for this struct was generated from the following file:

- 301/CO_PDO.h